## org.apache.http.impl.nio
Class SSLNHttpServerConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.SSLNHttpServerConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<DefaultNHttpServerConnection>

    @Immutable
    public class SSLNHttpServerConnectionFactory

extends Object
implements NHttpConnectionFactory<DefaultNHttpServerConnection>

Factory for SSL encrypted, non-blocking `NHttpServerConnection`s.

The following parameters can be used to customize the behavior of this class:

- `CoreProtocolPNames.HTTP_ELEMENT_CHARSET`
- `CoreConnectionPNames.SO_TIMEOUT`
- `CoreConnectionPNames.SOCKET_BUFFER_SIZE`
- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.2

Constructor Summary
`SSLNHttpServerConnectionFactory(HttpParams params)`
`SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpParams params)`
`SSLNHttpServerConnectionFactory(SSLContext sslcontext, SSLSetupHandler sslHandler, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)`

Method Summary
`DefaultNHttpServerConnection` `createConnection(IOSession session)`
`protected DefaultNHttpServerConnection` `createConnection(IOSession session, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                           SSLSetupHandler sslHandler,
                                           HttpRequestFactory requestFactory,
                                           ByteBufferAllocator allocator,
                                           HttpParams params)

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(SSLContext sslcontext,
                                           SSLSetupHandler sslHandler,
                                           HttpParams params)

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(HttpParams params)

Method Detail

### createConnection

    protected DefaultNHttpServerConnection createConnection(IOSession session,
                                                            HttpRequestFactory requestFactory,
                                                            ByteBufferAllocator allocator,
                                                            HttpParams params)

### createConnection

    public DefaultNHttpServerConnection createConnection(IOSession session)

  Specified by:
    `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpServerConnection>`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.